import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 工单服务对象基类
 *
 * @export
 * @class EAMWorkOrderServiceBase
 * @extends {EntityServie}
 */
export default class EAMWorkOrderServiceBase extends EntityService {

    /**
     * Creates an instance of  EAMWorkOrderServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  EAMWorkOrderServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof EAMWorkOrderServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='eamworkorder';
        this.APPDEKEY = 'workorderid';
        this.APPDENAME = 'eamworkorders';
        this.APPDETEXT = 'workordername';
        this.APPNAME = 'assetmanagement';
        this.SYSTEMNAME = 'ibizassetmanagement';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMWorkOrderServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.eamlocation && context.eamasset && context.eamplan && context.eamworkorder){
            let res:any = Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}/select`,isloading);
            
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamapply && context.eamworkorder){
            let res:any = Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}/select`,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamplan && context.eamworkorder){
            let res:any = Http.getInstance().get(`/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}/select`,isloading);
            
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamworkorder){
            let res:any = Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamworkorders/${context.eamworkorder}/select`,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamapply && context.eamworkorder){
            let res:any = Http.getInstance().get(`/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}/select`,isloading);
            
            return res;
        }
        if(context.eamplan && context.eamworkorder){
            let res:any = Http.getInstance().get(`/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}/select`,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamworkorder){
            let res:any = Http.getInstance().get(`/eamassets/${context.eamasset}/eamworkorders/${context.eamworkorder}/select`,isloading);
            
            return res;
        }
        if(context.eamapply && context.eamworkorder){
            let res:any = Http.getInstance().get(`/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}/select`,isloading);
            
            return res;
        }
            let res:any = Http.getInstance().get(`/eamworkorders/${context.eamworkorder}/select`,isloading);
            
            return res;
    }

    /**
     * Create接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMWorkOrderServiceBase
     */
    public async Create(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.eamlocation && context.eamasset && context.eamplan && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders`,data,isloading);
            
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamapply && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders`,data,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamplan && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders`,data,isloading);
            
            return res;
        }
        if(context.eamlocation && context.eamasset && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamworkorders`,data,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamapply && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders`,data,isloading);
            
            return res;
        }
        if(context.eamplan && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/eamplans/${context.eamplan}/eamworkorders`,data,isloading);
            
            return res;
        }
        if(context.eamasset && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/eamassets/${context.eamasset}/eamworkorders`,data,isloading);
            
            return res;
        }
        if(context.eamapply && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/eamapplies/${context.eamapply}/eamworkorders`,data,isloading);
            
            return res;
        }
        let masterData:any = {};
        Object.assign(data,masterData);
        if(!data.srffrontuf || data.srffrontuf !== "1"){
            data[this.APPDEKEY] = null;
        }
        if(data.srffrontuf){
            delete data.srffrontuf;
        }
        let tempContext:any = JSON.parse(JSON.stringify(context));
        let res:any = await Http.getInstance().post(`/eamworkorders`,data,isloading);
        
        return res;
    }

    /**
     * Update接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMWorkOrderServiceBase
     */
    public async Update(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.eamlocation && context.eamasset && context.eamplan && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}`,data,isloading);
            
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamapply && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}`,data,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamplan && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}`,data,isloading);
            
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamworkorders/${context.eamworkorder}`,data,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamapply && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}`,data,isloading);
            
            return res;
        }
        if(context.eamplan && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}`,data,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/eamassets/${context.eamasset}/eamworkorders/${context.eamworkorder}`,data,isloading);
            
            return res;
        }
        if(context.eamapply && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}`,data,isloading);
            
            return res;
        }
        let masterData:any = {};
        Object.assign(data,masterData);
            let res:any = await  Http.getInstance().put(`/eamworkorders/${context.eamworkorder}`,data,isloading);
            
            return res;
    }

    /**
     * Remove接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMWorkOrderServiceBase
     */
    public async Remove(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.eamlocation && context.eamasset && context.eamplan && context.eamworkorder){
            let res:any = Http.getInstance().delete(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}`,isloading);
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamapply && context.eamworkorder){
            let res:any = Http.getInstance().delete(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}`,isloading);
            return res;
        }
        if(context.eamasset && context.eamplan && context.eamworkorder){
            let res:any = Http.getInstance().delete(`/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}`,isloading);
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamworkorder){
            let res:any = Http.getInstance().delete(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamworkorders/${context.eamworkorder}`,isloading);
            return res;
        }
        if(context.eamasset && context.eamapply && context.eamworkorder){
            let res:any = Http.getInstance().delete(`/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}`,isloading);
            return res;
        }
        if(context.eamplan && context.eamworkorder){
            let res:any = Http.getInstance().delete(`/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}`,isloading);
            return res;
        }
        if(context.eamasset && context.eamworkorder){
            let res:any = Http.getInstance().delete(`/eamassets/${context.eamasset}/eamworkorders/${context.eamworkorder}`,isloading);
            return res;
        }
        if(context.eamapply && context.eamworkorder){
            let res:any = Http.getInstance().delete(`/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}`,isloading);
            return res;
        }
            let res:any = Http.getInstance().delete(`/eamworkorders/${context.eamworkorder}`,isloading);
            return res;
    }

    /**
     * Get接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMWorkOrderServiceBase
     */
    public async Get(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.eamlocation && context.eamasset && context.eamplan && context.eamworkorder){
            let res:any = await Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}`,isloading);
            
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamapply && context.eamworkorder){
            let res:any = await Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}`,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamplan && context.eamworkorder){
            let res:any = await Http.getInstance().get(`/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}`,isloading);
            
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamworkorder){
            let res:any = await Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamworkorders/${context.eamworkorder}`,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamapply && context.eamworkorder){
            let res:any = await Http.getInstance().get(`/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}`,isloading);
            
            return res;
        }
        if(context.eamplan && context.eamworkorder){
            let res:any = await Http.getInstance().get(`/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}`,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamworkorder){
            let res:any = await Http.getInstance().get(`/eamassets/${context.eamasset}/eamworkorders/${context.eamworkorder}`,isloading);
            
            return res;
        }
        if(context.eamapply && context.eamworkorder){
            let res:any = await Http.getInstance().get(`/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}`,isloading);
            
            return res;
        }
            let res:any = await Http.getInstance().get(`/eamworkorders/${context.eamworkorder}`,isloading);
            
            return res;
    }

    /**
     * GetDraft接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMWorkOrderServiceBase
     */
    public async GetDraft(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.eamlocation && context.eamasset && context.eamplan && true){
            let res:any = await Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/getdraft`,isloading);
            res.data.eamworkorder = data.eamworkorder;
            
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamapply && true){
            let res:any = await Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/getdraft`,isloading);
            res.data.eamworkorder = data.eamworkorder;
            
            return res;
        }
        if(context.eamasset && context.eamplan && true){
            let res:any = await Http.getInstance().get(`/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/getdraft`,isloading);
            res.data.eamworkorder = data.eamworkorder;
            
            return res;
        }
        if(context.eamlocation && context.eamasset && true){
            let res:any = await Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamworkorders/getdraft`,isloading);
            res.data.eamworkorder = data.eamworkorder;
            
            return res;
        }
        if(context.eamasset && context.eamapply && true){
            let res:any = await Http.getInstance().get(`/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/getdraft`,isloading);
            res.data.eamworkorder = data.eamworkorder;
            
            return res;
        }
        if(context.eamplan && true){
            let res:any = await Http.getInstance().get(`/eamplans/${context.eamplan}/eamworkorders/getdraft`,isloading);
            res.data.eamworkorder = data.eamworkorder;
            
            return res;
        }
        if(context.eamasset && true){
            let res:any = await Http.getInstance().get(`/eamassets/${context.eamasset}/eamworkorders/getdraft`,isloading);
            res.data.eamworkorder = data.eamworkorder;
            
            return res;
        }
        if(context.eamapply && true){
            let res:any = await Http.getInstance().get(`/eamapplies/${context.eamapply}/eamworkorders/getdraft`,isloading);
            res.data.eamworkorder = data.eamworkorder;
            
            return res;
        }
        let res:any = await  Http.getInstance().get(`/eamworkorders/getdraft`,isloading);
        res.data.eamworkorder = data.eamworkorder;
        
        return res;
    }

    /**
     * CheckKey接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMWorkOrderServiceBase
     */
    public async CheckKey(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.eamlocation && context.eamasset && context.eamplan && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}/checkkey`,data,isloading);
            
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamapply && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}/checkkey`,data,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamplan && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}/checkkey`,data,isloading);
            
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamworkorders/${context.eamworkorder}/checkkey`,data,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamapply && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}/checkkey`,data,isloading);
            
            return res;
        }
        if(context.eamplan && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}/checkkey`,data,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamassets/${context.eamasset}/eamworkorders/${context.eamworkorder}/checkkey`,data,isloading);
            
            return res;
        }
        if(context.eamapply && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}/checkkey`,data,isloading);
            
            return res;
        }
            let res:any = Http.getInstance().post(`/eamworkorders/${context.eamworkorder}/checkkey`,data,isloading);
            return res;
    }

    /**
     * Save接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMWorkOrderServiceBase
     */
    public async Save(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.eamlocation && context.eamasset && context.eamplan && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}/save`,data,isloading);
            
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamapply && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}/save`,data,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamplan && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}/save`,data,isloading);
            
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamworkorders/${context.eamworkorder}/save`,data,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamapply && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}/save`,data,isloading);
            
            return res;
        }
        if(context.eamplan && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamplans/${context.eamplan}/eamworkorders/${context.eamworkorder}/save`,data,isloading);
            
            return res;
        }
        if(context.eamasset && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamassets/${context.eamasset}/eamworkorders/${context.eamworkorder}/save`,data,isloading);
            
            return res;
        }
        if(context.eamapply && context.eamworkorder){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/eamapplies/${context.eamapply}/eamworkorders/${context.eamworkorder}/save`,data,isloading);
            
            return res;
        }
        let masterData:any = {};
        Object.assign(data,masterData);
            let res:any = await  Http.getInstance().post(`/eamworkorders/${context.eamworkorder}/save`,data,isloading);
            
            return res;
    }

    /**
     * FetchChildWO接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMWorkOrderServiceBase
     */
    public async FetchChildWO(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.eamlocation && context.eamasset && context.eamplan && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/fetchchildwo`,tempData,isloading);
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamapply && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/fetchchildwo`,tempData,isloading);
            return res;
        }
        if(context.eamasset && context.eamplan && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/fetchchildwo`,tempData,isloading);
            return res;
        }
        if(context.eamlocation && context.eamasset && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamworkorders/fetchchildwo`,tempData,isloading);
            return res;
        }
        if(context.eamasset && context.eamapply && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/fetchchildwo`,tempData,isloading);
            return res;
        }
        if(context.eamplan && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamplans/${context.eamplan}/eamworkorders/fetchchildwo`,tempData,isloading);
            return res;
        }
        if(context.eamasset && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamassets/${context.eamasset}/eamworkorders/fetchchildwo`,tempData,isloading);
            return res;
        }
        if(context.eamapply && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamapplies/${context.eamapply}/eamworkorders/fetchchildwo`,tempData,isloading);
            return res;
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        let res:any = Http.getInstance().get(`/eamworkorders/fetchchildwo`,tempData,isloading);
        return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EAMWorkOrderServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.eamlocation && context.eamasset && context.eamplan && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/fetchdefault`,tempData,isloading);
            return res;
        }
        if(context.eamlocation && context.eamasset && context.eamapply && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/fetchdefault`,tempData,isloading);
            return res;
        }
        if(context.eamasset && context.eamplan && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamassets/${context.eamasset}/eamplans/${context.eamplan}/eamworkorders/fetchdefault`,tempData,isloading);
            return res;
        }
        if(context.eamlocation && context.eamasset && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamlocations/${context.eamlocation}/eamassets/${context.eamasset}/eamworkorders/fetchdefault`,tempData,isloading);
            return res;
        }
        if(context.eamasset && context.eamapply && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamassets/${context.eamasset}/eamapplies/${context.eamapply}/eamworkorders/fetchdefault`,tempData,isloading);
            return res;
        }
        if(context.eamplan && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamplans/${context.eamplan}/eamworkorders/fetchdefault`,tempData,isloading);
            return res;
        }
        if(context.eamasset && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamassets/${context.eamasset}/eamworkorders/fetchdefault`,tempData,isloading);
            return res;
        }
        if(context.eamapply && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            let res:any = Http.getInstance().get(`/eamapplies/${context.eamapply}/eamworkorders/fetchdefault`,tempData,isloading);
            return res;
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        let res:any = Http.getInstance().get(`/eamworkorders/fetchdefault`,tempData,isloading);
        return res;
    }
}